
%define libname %mklibname git
%define profile_branch 93git-branch.sh
%define profile_env    93git-env.sh

Summary: Global Information Tracker
Summary(de): Global Informations-Tracker
Name: git
Version: 2.11.0
Release: %mkrel 1
Source0: https://code.google.com/p/git-core/downloads/git-%{version}.tar.xz
Source2: gitweb.conf
Source3: %{profile_branch}
Source4: %{profile_env}
License: GPLv2
Group: Development/Other
Url: http://git-scm.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: asciidoc 
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: libxml2-utils
BuildRequires: xmlto
BuildRequires: xsltproc
BuildRequires: perl-CGI
BuildRequires: docbook-dtd45-xml
BuildRequires: %{_lib}python-devel
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Requires: tk >= 8.4
Requires: tcl >= 8.4
Requires: python-cairo
Requires: pygtk2.0
Requires: python-gtksourceview
Requires: perl-Error
Provides: git-arch = %version-%release
Provides: git-core = %version-%release
Provides: git-core-oldies = %version-%release
Provides: git-cvs = %version-%release
Provides: git-email = %version-%release
Provides: git-prompt = %version-%release
Provides: git-svn = %version-%release
Provides: gitk = %version-%release
Provides: gitview = %version-%release
Provides: gitweb = %version-%release
Obsoletes: %{name} < %version

%description
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

%description -l de
Datei- und Prozessverwaltungswerkzeuge git (GNU Interactive Tools) ist 
eine Sammlung von interaktiven Textmodus-Werkzeugen, eng angegliedert an 
die Shell. Enthalten sind ein Dateisystem-Browser, ein ascii/hex-Datei- 
Betrachter, ein Prozess-Beobachter/-killer und einige andere ähnliche 
Werkzeuge und Shell-Scripte. Die Benutzung von git kann die meisten täglichen 
Aufgaben (wie Dateienund Verzeichnisse kopieren und verschieben, Editoren 
aufrufen, Dateien komprimieren und dekomprimieren, Archive erstellen und 
erweitern, Anwendungen kompilieren, Mails verschicken etc.) beschleunigen und 
effizienter gestalten. git sieht gut aus, nutzt Farben (wenn die Standard 
ANSI Farb-Sequenzen unterstützt werden) und ist benutzerfreundlich. 

Eine der Hauptvorteile von git ist seine Flexibilität. Es ist nicht auf einen 
festgelegten Satz von Kommandos beschränkt. Die Konfigurationsdatei kann einfach 
erweitert werden und erlaubt es dem Benutzer, neue Kommandos oder Dateioperationen 
hinzuzufügen, je nach seinen Bedürfnissen oder Vorlieben.


%package devel	
Summary: Git development files
Summary(de): Git Entwicklungs-Dateien	
Group: Development/Libraries	
Provides: git-devel = %version-%release	
Requires: %name = %version-%release	
Obsoletes: libgit-devel
Provides: libgit-devel = %version-%release
 	
%description devel	
Development files for git.
%description devel -l de
Entwicklungs-Dateien für git.

%prep
%setup -q -n git-%{version}

# remove boring file
rm -f Documentation/.gitignore
# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile

# remove borring file
rm -f Documentation/.gitignore
# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile


%build
%define git_make_params prefix=%{_prefix} gitexecdir=%{_libdir}/git-core CFLAGS="%{optflags}" GITWEB_CONFIG=%{_sysconfdir}/gitweb.conf DOCBOOK_XSL_172=1
%make %{git_make_params} all doc
(cd gitweb && %make %{git_make_params} gitweb.cgi)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std prefix=%{_prefix} gitexecdir=%{_libdir}/git-core  CFLAGS="$RPM_OPT_FLAGS"
make install-doc prefix=%{_prefix} gitexecdir=%{_libdir}/git-core   DESTDIR=$RPM_BUILD_ROOT
# (cg) Copy the whole contrib dir as docs. It contains useful scripts.
mkdir -p %{buildroot}%{_datadir}/doc/git-core
cp -ar contrib %{buildroot}%{_datadir}/doc/git-core
# (cg) Even tho' we copy the whole contrib dir, copy this rather than symlink incase the user is excluding docs
install -m 755 contrib/gitview/gitview %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %buildroot%{_libdir}/libgit.a

mv %{buildroot}/%{_prefix}/lib/perl5/site_perl %{buildroot}/%{_prefix}/lib/perl5/vendor_perl
rm -f %{buildroot}/%{perl_vendorlib}/Error.pm

mkdir -p %{buildroot}%{_var}/www/cgi-bin/gitweb/
cp gitweb/gitweb.cgi %{buildroot}%{_var}/www/cgi-bin/
mkdir -p %{buildroot}%{_var}/www/gitweb/
cp gitweb/static/*.css gitweb/static/*.png %{buildroot}%{_var}/www/gitweb
mkdir -p %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gitweb.conf
# apache configuration
mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/gitweb.conf <<EOF
# gitweb configuration
Alias /gitweb %{_var}/www/gitweb

<Directory %{_var}/www/gitweb>
    Allow from all
</Directory>
EOF

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%_datadir/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%{_datadir}/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

# install bash-completion file
mkdir -p  %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 contrib/completion/git-completion.bash \
    %{buildroot}%{_sysconfdir}/bash_completion.d/git

# And the prompt manipulation file
install -D -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/%{profile_branch}
install -D -m 0644 %SOURCE4 %{buildroot}%{_sysconfdir}/profile.d/%{profile_env}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
%exclude %{_includedir}/git
%exclude %{_libdir}/libgit.a

%files devel	
%defattr(-,root,root)
%{_includedir}/git
%{_libdir}/libgit.a


%changelog
* Sun Dec 18 2016 adrianomorselli <adrianomorselli> 2.11.0-1uplos2016
- rebuild

* Sat Dec 10 2016 bb <bb> 2.11.0-1pclos2017
- update

* Tue Nov 08 2016 bb <bb> 2.10.2-1pclos2016
- update

* Fri Oct 07 2016 bb <bb> 2.10.1-1pclos2016
- update

* Sun Sep 18 2016 ghostbunny <ghostbunny at gmx dot de> 2.10.0-1pclos2016
- 2.10.0


